{% comment %}ly_global_begin{% endcomment %}{% include 'ly-global' %}{% comment %}ly_global_end{% endcomment %}<script>
if ( (typeof jQuery === 'undefined') || !window.jQuery ) {
    document.write(unescape("%3Cscript type='text/javascript' src='//ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js'%3E%3C/script%3E"));
}
</script>

<script src="//cdnjs.cloudflare.com/ajax/libs/handlebars.js/4.0.5/handlebars.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/owl-carousel/1.3.3/owl.carousel.js"></script>

<script>
    window.price1 = "{{ shop.money_with_currency_format }}";

function createCookie(name,value,days){
if (days) {
var date = new Date();date.setTime(date.getTime()+(days*24*60*60*1000));var expires = "; expires="+date.toGMTString();}
else var expires = "";
document.cookie = name+"="+value+expires+"; path=/";}

function readCookie(name) {
var nameEQ = name + "=";
var ca = document.cookie.split(';');
for(var i=0;i < ca.length;i++) {
var c = ca[i];while (c.charAt(0)==' ') c = c.substring(1,c.length);
if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);}
return null;}

function eraseCookie(name) {
createCookie(name,"",-1);}
  
var userId = readCookie("userId");
  
  if(userId==null)
  {
   userId=Math.floor(Math.random()*10000000000+1);
   createCookie("userId",userId,"365")
  }
  
  var url="//mlveda.com/ShopifyApps/CustomersAlsoViewed/RecordView/1.png";
  var productId="{{product.id}}";
  var shopName="{{ shop.permanent_domain }}";
  var x = new Image(1,1);//document.createElement("IMG");
  if(x!=null)
  {
  x.src=url + "?productId=" + productId + "&shopName=" + shopName + "&userId=" + userId +"&timestamp=" + new Date().getTime();
  //console.log(x.src);  
  }


var abcd = $.ajax({
    url: "//mlveda.com/ShopifyApps/CustomersAlsoViewed/recommendAlsoViewed?productId=" + productId + "&shopName=" + shopName,
    type: "GET",
  async:false,
    dataType: "text",
    success: function(response) {
        window.abcde = JSON.parse(response);
        if (!window.abcde.errors) {
                        if (window.abcde.products.length > 0 && window.abcde.settings.display_product.indexOf("false")==-1) {
                $("#mlveda-customersalsoviewed-products").css('visibility', 'visible');
            }
          
            if (!window.abcde.settings.errors) {
                if (window.abcde.settings.title_name !== "") {
                    $("#mlveda-customersalsoviewed-title").html(window.abcde.settings.title_name);
                }
                if (window.abcde.settings.title_font_type !== "") {
                    $("#mlveda-customersalsoviewed-title").css('font-family', window.abcde.settings.title_font_type);
                }
                if (window.abcde.settings.title_font_size !== "") {
                    $("#mlveda-customersalsoviewed-title").css('font-size', window.abcde.settings.title_font_size);
                }
                if (window.abcde.settings.title_font_colour !== "") {
                    $("#mlveda-customersalsoviewed-title").css('color', window.abcde.settings.title_font_colour);
                }
            } 
          
          
          
          (function($, window){
  			$(function(){
    
     	Handlebars.registerHelper("printPrices", function(price) {
        	 return Shopify.formatMoney(price,"{{shop.money_with_currency_format}}");
		});

    
              {% raw %}

 		  var source = $("#Handlebars-Template").html();
          var data=window.abcde; 
          var template = Handlebars.compile(source);          
          var result=template(data);
          $("#mlveda-customersalsoviewed").append(result);
          var owl = $("#mlveda-customersalsoviewed");
		  owl.owlCarousel({
           
			  itemsCustom : [
				[0, 2],
				[450, 2],
				[600, 3],
				[700, 4],
				[1000, 4],
				[1200, 4],
				[1400, 4],
				[1600, 4]
			  ],
			  navigation : true,
            
		 	});
     });
})(jQuery, window);
          {% endraw %}
        }
    }
});
  
  
</script>

 
	
       
	